SamReferenceInfo Class Reference

Class for tracking the reference information mapping between the reference ids and the reference names. More...

`#include <SamReferenceInfo.h>`

## Public Member Functions

| SamReferenceInfo ()
| Constructor.
| ~SamReferenceInfo ()
| Destructor.
void | add (const char *referenceSequenceName, int32_t referenceSequenceLength)
| Add reference sequence name and reference sequence length.
int | getReferenceID (const String &referenceName, bool addID=false)
| Get the reference ID for the specified name, if addID is set to true, a reference id will be created for the referenceName if one does not already exist, while if addID is set to false (default), it will return NO_REF_ID if the reference name does not exist.
int | getReferenceID (const char *referenceName, bool addID=false)
| Get the reference ID for the specified name, if addID is set to true, a reference id will be created for the referenceName if one does not already exist, while if addID is set to false (default), it will return NO_REF_ID if the reference name does not exist.
const String & | getReferenceLabel (int id) const
| Get the reference name for the specified id, if the id is not found, return "*".
int32_t | getNumEntries () const
| Get the number of entries contained here.
const char * | getReferenceName (int index) const
| Return the reference name at the specified index, returning "" if the index is out of bounds.
int32_t | getReferenceLength (int index) const
| Return the reference length at the specified index, returning 0 if the index is out of bounds.
void | clear ()
| Reset this reference info.
SamReferenceInfo & | operator= (const SamReferenceInfo &rhs)
| Copy the reference information.
bool | operator== (const SamReferenceInfo &rhs) const
bool | operator!= (const SamReferenceInfo &rhs) const

## Static Public Attributes

static const int | NO_REF_ID = -3
| Constant for the value returned if a reference id does not exist for a queried reference name.

## Detailed Description

Class for tracking the reference information mapping between the reference ids and the reference names.

Definition at line 27 of file SamReferenceInfo.h.

The documentation for this class was generated from the following files:

- bam/SamReferenceInfo.h
- bam/SamReferenceInfo.cpp